Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226286 - Merge Review: perl-XML-LibXML-Common
Summary: Merge Review: perl-XML-LibXML-Common
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:38 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:38:39 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:38:45 UTC
Fedora Merge Review: perl-XML-LibXML-Common

http://cvs.fedora.redhat.com/viewcvs/devel/perl-XML-LibXML-Common/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 07:31:35 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 2:5.8.0
2)drop "|| :" from %check
3)you may like to use disttag
4)you may like to use Source URL as 
http://www.cpan.org/authors/id/P/PH/PHISH/XML-LibXML-Common-%{version}.tar.gz
5)rpmlint only complained ->
perl-XML-LibXML-Common.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1,
tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
==>Use "sed -i -e 's|\t|  |g' perl-XML-LibXML-Common.spec"



Comment 2 Robin Norwood 2007-10-25 20:52:06 UTC
All of the above fixed in version perl-XML-LibXML-Common-0.13-10.fc9

Comment 3 Parag AN(पराग) 2007-10-26 04:35:30 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
13b6d93f53375d15fd11922216249659  XML-LibXML-Common-0.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..8
# Running under perl version 5.008008 for linux
# Current time local: Fri Oct 26 00:20:39 2007
# Current time GMT:   Fri Oct 26 04:20:39 2007
# Using Test.pm version 1.25
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
ok 7
ok 8
+ Package perl-XML-LibXML-Common-0.13-10.fc8 ->
  Provides: Common.so perl(XML::LibXML::Common) = 0.13
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libm.so.6
libpthread.so.0 libpthread.so.0(GLIBC_2.0) libxml2.so.2 libz.so.1
perl(:MODULE_COMPAT_5.8.8) perl(DynaLoader) perl(Exporter) perl(constant)
perl(strict) perl(vars) rtld(GNU_HASH)
APPROVED.
You can CLOSE this review as reviewed package is already built in rawhide.

Comment 4 Parag AN(पराग) 2007-11-11 07:04:23 UTC
Can we CLOSE this review if package is already built and in rawhide?


Note You need to log in before you can comment on or make changes to this bug.